PPI::Token::Magic(3)

NAME
PPI::Token::Magic - Tokens representing magic variables

INHERITANCE
  PPI::Token::Magic
  isa PPI::Token::Symbol
      isa PPI::Token
          isa PPI::Element

SYNOPSIS
  # When we say magic variables, we mean these...
  $1   $2   $3   $4   $5   $6   $7   $8   $9
  $_   $&   $`   $'   $+   @+   %+   $*   $.    $/    $|
  $\\  $"   $;   $%   $=   $-   @-   %-   $)    $#
  $~   $^   $:   $?   $!   %!   $@   $$   $<    $>
  $(   $0   $[   $]   @_   @*   $}   $,   $#+   $#-
  $^L  $^A  $^E  $^C  $^D  $^F  $^H
  $^I  $^M  $^N  $^O  $^P  $^R  $^S
  $^T  $^V  $^W  $^X

DESCRIPTION
"PPI::Token::Magic" is a sub-class of PPI::Token::Symbol which identifies the token as "magic variable", one of the strange and unusual variables that are connected to "things" behind the scenes.

Some are extremely common, like $_, and others you will quite probably never encounter in your Perl career.

METHODS
The class provides no additional methods, beyond those provided by it's PPI::Token::Symbol, PPI::Token and PPI::Element.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.